Subject: L2 VPN questions

From: "Chang, Jeremy" <[email-masked]>
Date: Mon, 11 Nov 2002 06:09:06 -1000

Hi,
   I have few questions regarding L2 VPN specifications.  Would some one
please help me out?  Any help is greatly appreiated.  Thanks.

Thanks,
Jeremy
============================================================================
===============
1. What should be the ttl of VC label set to? In
draft-martini-l2circuit-encap-mpls-04.txt, it says that the value should be
set to 2, but in draft-martini-ethernet-encap-mpls-01.txt, it says that the
value should be set to 255.
2. What does the "excluding encapsulation overhead" mean in Interface MTU of
VC FEC?  Does it mean only the excluding the control, tunnel Labels, and vc
Labels?  For example, in Ethernet encap, the source and destination mac
addresses are also included in the encapsulated packet.  So does the source
and destination mac addresses also count as encapsulation overhead?  
     
    - Interface MTU

       A 2 octet value indicating the MTU in octets. This is the Maximum
       Transmission Unit, excluding encapsulation overhead, of the
       egress packet interface that will be transmitting the
       decapsulated PDU that is received from the MPLS network. This
       parameter is applicable only to VC types 1, 2, 4, 5, 6, and 7,
       and is REQUIRED for these VC types. If this parameter does not
       match in both directions of a specific VC, that VC MUST NOT be
       enabled.

3. What should the destination Mac Address set to for Ethernet and Ethernet
VLAN packet when the source CE send the packet to the ingress PE router?
Should it set the mac address to destination CE or the ingress PE router?

---

From: Wei Luo <[email-masked]>
Date: Mon, 11 Nov 2002 11:23:11 -0800

> please help me out?  Any help is greatly appreiated.  Thanks.

It should be 2.

> and destination mac addresses also count as encapsulation overhead?

Interface MTU refers to the CE-PE link.  Using Ethernet as an example,
it refers to the maximum payload length, 1500.  If you don't exclude
(Ethernet) encapsulation overhead, you will be sending 1518.

> Should it set the mac address to destination CE or the ingress PE router?

It depends.  If the destination CE is a router, the destination MAC will
be the MAC address of the destination CE as a result of proxy ARP.  If
the destination CE is a switch, the destination MAC can be of a router
connected to the switch or the ultimate destination.

---Wei

> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Wei Luo <[email-masked]>
Date: Mon, 11 Nov 2002 12:01:27 -0800

Normally, the ingress PE should blindly sends all packets into the
pseudowire bound the the CE-PE link regardless what the destination MAC
is used.

---Wei

"Chang, Jeremy" wrote:
> 
> Hi Wei,
>    Thanks for the explaination.  Just to clarify, for the third question,
> does it means then the ingress PE router should not care about the
> destination mac address of Ethernet or Ethernet VLAN frame sent by source
> CE?  Also, what happen if the destination mac address is set to the ingress
> PE router.  Should the ingress PE router forward the packet?
> 
> Thanks for the help.
> 
> Jeremy
> -----Original Message-----
> From: Wei Luo [mailto:[email-masked]]
> Sent: Monday, November 11, 2002 2:23 PM
> To: Chang, Jeremy
> Cc: [email-masked]'
> Subject: Re: [PWE3] L2 VPN questions
> 
> "Chang, Jeremy" wrote:
> >
> > Hi,

---

From: Shahram Davari <[email-masked]>
Date: Tue, 12 Nov 2002 07:15:42 -0800

> > value should be set to 255.

Why it shouldn't be 1? It seems the reason to limit the TTL is
to prevent the packet to be forwarded further than egress PE.
According to: 

http://www.ietf.org/internet-drafts/draft-ietf-mpls-ttl-03.txt

In all tunneling modes, from ingress to egress, the inner label's TTL is
subtracted by 1 only. And based on the following definition:

"oTTL Check: Check if oTTL is greater than 0. If the oTTL Check is 
false, then the packet is not forwarded"

If TTL=2 at the ingress, then TTL=1 at the egress and the packet could still
be forwarded further.

Yours,
-Shahram